Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 734210 - app-emulation/fuse-utils fails to link with LLD because of /usr/lib in the link command line
Summary: app-emulation/fuse-utils fails to link with LLD because of /usr/lib in the li...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jan Ziak (http://atom-symbol.net)
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-28 10:09 UTC by Agostino Sarubbo
Modified: 2020-08-16 08:01 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,21.40 KB, text/plain)
2020-07-28 10:10 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-28 10:09:58 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-emulation/fuse-utils fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-28 10:10:03 UTC
Created attachment 651144 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-08-16 08:01:11 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=322843625dc2aae3e5955c609a4238ec478bf54a

commit 322843625dc2aae3e5955c609a4238ec478bf54a
Author:     Jan Ziak <0xe2.0x9a.0x9b@gmail.com>
AuthorDate: 2020-07-28 15:32:31 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-08-16 08:00:58 +0000

    app-emulation/fuse-utils: avoid /usr/lib in the link command line
    
    Closes: https://bugs.gentoo.org/734210
    Signed-off-by: Jan Ziak <0xe2.0x9a.0x9b@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/16885
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 .../fuse-utils/files/remove-local-prefix.patch     | 22 ++++++++++++++++++++++
 app-emulation/fuse-utils/fuse-utils-1.4.3.ebuild   | 13 ++++++++++++-
 2 files changed, 34 insertions(+), 1 deletion(-)